# Uses of Class
org.springframework.beans.factory.support.DefaultBeanNameGenerator

Packages that use DefaultBeanNameGenerator
Package
Description
org.springframework.beans.factory.support
Classes supporting the `org.springframework.beans.factory` package.

## Uses of DefaultBeanNameGenerator in org.springframework.beans.factory.support

Fields in org.springframework.beans.factory.support declared as DefaultBeanNameGenerator
Modifier and Type
Field
Description
`static final DefaultBeanNameGenerator`
DefaultBeanNameGenerator.`INSTANCE`
A convenient constant for a default `DefaultBeanNameGenerator` instance, as used for `AbstractBeanDefinitionReader` setup.